<?php 
session_start();
$usuario_login=$_SESSION['usuario_login'];
require("../conectar.php");
$pago = $_POST['pago'];
$campo = $_POST['campo'];
$monto = $_POST['monto'];
$motivo = $_POST['motivo'];

$concepto = $_POST['concepto'];
$formapago = $_POST['formapago'];
$moneda = $_POST['moneda'];
$propiedad = $_POST['propiedad'];
$departamento = $_POST['departamento'];

$fentrada = $_POST['fentrada'];
$fsalida = $_POST['fsalida'];

$sqlbit = "SELECT p.f_entrada,p.f_salida,p.id_renta,p.monto,p.obsmodpago,p.id_concepto,p.concepto,p.formapago,p.tipo_moneda,p.propiedad,p.clave,(select c.nombre from complejo as c where c.id_complejo = p.propiedad) as complejo,(select d.clave from departamentos as d where d.id_departamento = p.clave ) as suite FROM pagos as p WHERE p.id_pago = $pago";
$eje = mysql_query($sqlbit);
$obs = mysql_fetch_array($eje);
$idconcepto = $obs['id_concepto'];
$id_renta = $obs['id_renta'];

$sqlC = "select nombre from complejo where id_complejo = $propiedad";
$ejeC = mysql_query($sqlC);
$datC = mysql_fetch_array($ejeC);
$complejo = $datC['nombre'];

$sqlC = "select clave from departamentos where id_departamento = $departamento";
$ejeC = mysql_query($sqlC);
$datC = mysql_fetch_array($ejeC);
$suite = $datC['clave'];

if($obs['monto'] != $monto){
	$campos .= "-Monto<br>";
	$valorprevio .= "-".$obs['monto']."<br>";
	$valornuevo .= "-".$monto."<br>";
}
if($obs['obsmodpago'] != $motivo){
	$campos .= "-Motivo<br>";
	$valorprevio .= "-".$obs['obsmodpago']."<br>";
	$valornuevo .= "-".$motivo."<br>";
}
if($obs['concepto'] != $concepto){
	$campos .= "-Concepto<br>";
	$valorprevio .= "-".$obs['concepto']."<br>";
	$valornuevo .= "-".$concepto."<br>";
}
if($obs['formapago'] != $formapago){
	$campos .= "-Forma de pago<br>";
	$valorprevio .= "-".$obs['formapago']."<br>";
	$valornuevo .= "-".$formapago."<br>";
}
if($obs['tipo_moneda'] != $moneda){
	$campos .= "-Tipo moneda<br>";
	$valorprevio .= "-".$obs['tipo_moneda']."<br>";
	$valornuevo .= "-".$moneda."<br>";
}
if($obs['propiedad'] != $propiedad){
	$campos .= "-Propiedad<br>";
	$valorprevio .= "-".$obs['complejo']."<br>";
	$valornuevo .= "-".$complejo."<br>";
}
if($obs['clave'] != $departamento){
	$campos .= "-Departamento<br>";
	$valorprevio .= "-".$obs['suite']."<br>";
	$valornuevo .= "-".$suite."<br>";
}
if($obs['f_entrada'] != $fentrada){
	$campos .= "-Fecha Entrada<br>";
	$valorprevio .= "-".$obs['f_entrada']."<br>";
	$valornuevo .= "-".$fentrada."<br>";
}
if($obs['f_salida'] != $fsalida){
	$campos .= "-Fecha Salida<br>";
	$valorprevio .= "-".$obs['f_salida']."<br>";
	$valornuevo .= "-".$fsalida."<br>";
}

$sqlreg = "INSERT INTO bitacorapagos(idpago,fecha,campo,valorpre,valornvo,usuario) VALUES($pago,NOW(),'$campos','$valorprevio','$valornuevo','$usuario_login')";
mysql_query($sqlreg); 

$sql = "UPDATE pagos SET monto = $monto,obsmodpago = '$motivo',concepto='$concepto',formapago = '$formapago',tipo_moneda ='$moneda',propiedad='$propiedad',clave='$departamento' WHERE id_pago = $pago";
mysql_query($sql);

$sqlpagosfechas = "select * from pagos where id_concepto = $idconcepto";
$ejecuta = mysql_query($sqlpagosfechas);
while($reg = mysql_fetch_array($ejecuta)){
   $update = "UPDATE pagos SET f_entrada = '$fentrada', f_salida = '$fsalida' WHERE id_pago = $reg[id_pago]";
   mysql_query($update);
}



$sqlrenta = "UPDATE conceptos SET id_complejo = $propiedad,id_departamento = $departamento,dia_inicio='$fentrada',dia_salida='$fsalida',salida_prematura='$fsalida' WHERE id_concepto = $idconcepto";
mysql_query($sqlrenta);

$sqlrentafe = "UPDATE renta SET f_ingreso = '$fentrada',f_salida = '$fsalida' WHERE id_renta = $id_renta";
mysql_query($sqlrentafe);
?>
